.survey{
    width: 100%;
    float: left;
    border: 1px solid #D9D9D9;
    background-color: #EDEDEC;
    font-family: 'Open Sans', sans-serif;
    padding: 30px 60px 30px 60px;
    margin: 10px 0;
    border-radius: 25px;
    position: relative;
}
.survey .survey_slide{
    float: left;
    width: 100%;
}
.survey .survey_slide_new{
    position: absolute;
    top: 0;
    left: 10000px;
}
.survey .answer_cont{
    float: left;
    width: 100%;
    padding: 15px 0 0 0;
}
.survey .has-nav{
    display: flex;
    flex-direction: row;
}
.survey .has-nav .nav{
    flex: auto;
    max-width: 100px;
}
.survey .has-nav .q{
    flex: auto;
}
.survey .nav{
    text-align: center;
    font-size: 33px;
    padding: 3px 25px 30px 0;
    font-weight: 300;
}
.survey .q, .survey .q p{
    font-size: 26px;
    line-height: 30px;
    margin: 0 0 25px 0;
    font-weight: 700;
    font-family: 'Open Sans', sans-serif;
}
@keyframes survey_select_answer {
    0% {background-color: white;}
    33% {background-color: #03AA6433;}
    66% {background-color: white;}
    100% {background-color: #03AA6433;}
}
.survey .answer{
    padding: 15px 0;
    cursor: pointer;
    float: left;
    width: 100%;
    transition: 0.2s;
}
.survey .slide_type_3 .answer{
    padding: 20px 0;
}
.survey .slide_type_3 .answer.selected{
    background: #03AA6433;
    animation-name: survey_select_answer;
    animation-duration: 1s;
}
.survey .answer.done{
    cursor: default;
}
.survey .cb, .survey .cb p {
    font-size: 20px;
    font-weight: 400;
    padding: 0 0 0 5px;
    min-height: 35px;
    width: 90%;
    float: left;
    /*display: flex;*/
    line-height: 32px;
    margin-bottom: 0;
    margin-top: 0;
    font-family: 'Open Sans', sans-serif;
}
.survey .cb p{
    /*display: inline-block;*/
}
.survey .answer:not(.done) .cb:before{
    display: inline-block;
    content: " ";
    background: url("/images/survey/checkbox.svg?v1") no-repeat 7px 13px;
    width: 60px;
    height: 45px;
    margin: -11px 0;
    float: left;
}
.survey .answer:not(.done).selected .cb:before{
    background: url("/images/survey/checkbox-checked.svg?v1") no-repeat 7px 13px;
}
.survey .answer:not(.done).selected.incorrect .cb:before{
    background: url("/images/survey/checkbox-incorrect-checked.svg?v1") no-repeat 7px 13px;
}
.survey .answer:not(.done).incorrect .cb:before{
    background: url("/images/survey/checkbox-incorrect.svg?v1") no-repeat 7px 13px;
}
.survey .answer:not(.done).selected.correct .cb:before{
    background: url("/images/survey/checkbox-correct-checked.svg?v1") no-repeat 7px 13px;
}
.survey .answer:not(.done).correct .cb:before{
    background: url("/images/survey/checkbox-correct.svg?v1") no-repeat 7px 13px;
}
.survey .answer.incorrect{
    color: #F00;
}
.survey .answer.correct{
    color: #03AA64;
}
.survey .answer .hint{
    font-size: 18px;
    line-height: 35px;
    color: black;
    margin: 0 0 0 50px;
    clear: both;
    padding: 5px 0 0 15px;
}
.survey .answer .percent{
    float: right;
    width: 10%;
    text-align: right;
    font-size: 20px;
    line-height: 35px;
}
.survey .media{
    /*padding: 15px 0;*/
    position: relative;
    text-align: center;
    /*max-width: 1200px;*/
    /*max-height: 630px;*/
}
.survey .media iframe, .survey .media frame{
    max-width: 100%;
}
.survey .btn_cont{
    padding: 30px 0 0 0;
    text-align: center;
    float: left;
    width: 100%;
}
.survey .btn_cont .btn{
    background: #FF3C16;
    padding: 25px 0;
    min-width: 300px;
    display: inline-block;
    color: white;
    font-size: 23px;
    font-weight: 400;
    transition: 0.2s;
    border-radius: 6px;
}
.btn_cont .btn.disabled{
    background: #D9D9D9;
}
.btn_cont .btn:not(.disabled):hover {
    background-color: var(--main-color-lighter);
    cursor: pointer;
}
.survey .locker{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
    opacity: 0.6;
    background: white;
    border-radius: 20px;
}
.slide_type_0 .cb, .slide_type_1 .cb, .slide_type_2 .cb{width: 100%}
.slide_type_3 .cb:before{display: none !important;}
.survey .txt_on_slide{
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    font-size: 30px;
    font-weight: 700;
    /*text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;*/
    color: white;
}
.survey .score{
    font-family: 'Open Sans', sans-serif;
    font-size: 100px;
    font-weight: 300;
    padding: 0 0 50px 0;
}
.survey .media.empty{
    width: 100%;
    height: 480px;
    background: #D9D9D9;
    /*margin: 40px 0 0 0;*/
}
.survey .social{
    float: left;
    width: 100%;
}
.survey .social .social-block{
    text-align: center;
    display: block;
    padding: 15px 0 25px 0;
}
.survey .social a{
    display: inline-block;
}
.survey .social .social-block > * i{
    display: block;
    padding: 9px 0 0px 0;
}
.survey .social span{
    font-family: 'Open Sans', sans-serif;
    display: block;
    color: #FF3C16;
    width: 100%;
    font-size: 25px;
    font-weight: 300;
    /*font-style: italic;*/
    padding: 20px 0 10px 0;
    text-align: center;
}

.survey .text-after-slide{
    padding: 30px 20px 0 20px;
}
.survey .text-after-slide p{
    padding: 5px 0;
    font-size: 22px;
    line-height: 30px;
}
#survey_4 .media.empty{
    height: 480px;
}
.survey .ended{
    float: left;
    width: 100%;
    font-size: 22px;
    text-align: center;
    padding: 15px 0 0 0;
}

@media only screen and (max-width: 767px) {
    .survey {
        padding: 10px;
    }

    .survey .q, .survey .q p{
        font-size: 20px;
        margin: 0;
    }
    .survey .nav {
        font-size: 18px;
        padding: 0 0 5px 0;
    }
    .survey .has-nav{
        flex-direction: column;
    }
    .survey .has-nav .nav{
        max-width: 100%;
    }
    .survey .media{
        padding: 15px 0 0 0;
    }
    .survey .cb{
        font-size: 16px;
        line-height: 30px;
    }
    .survey .answer_cont:not(.slide_type_3) .cb{
        margin: 0 0 0 30px;
    }
    .survey .answer_cont:not(.slide_type_3) .answer:not(.done) .cb::before {
        margin: -10px -6px -6px -39px;

    }
    .slide_type_0 .cb, .slide_type_1 .cb, .slide_type_2 .cb{
        width: 90%;
    }
    .survey .txt_on_slide{
        font-size: 18px;
        /*position: inherit;*/
        /*top: inherit;*/
        /*left: inherit;*/
        /*transform: inherit;*/
        /*padding: 0 0 20px 0;*/
    }
    .survey .score{
        font-size: 48px;
        /*padding: 0 0 15px 0;*/
    }
    .survey .answer.done .cb{
        margin: 0;
    }

    .survey .answer .hint{
        font-size: 16px;
        font-weight: 400;
        margin: 0 0 10px 0;
    }
    .survey .answer .percent{
        float: left;
        font-size: 16px;
        line-height: 20px;
    }
    .survey .progress{
        width: 100%;
        height: 10px;
        float: left;
        border-radius: 5px;
        margin: 0 0 10px 0;
    }
    .survey .progress div{
        float: left;
        height: 10px;
        border-radius: 5px;
    }
    .survey .progress{
        background: #5F5F5F33;
    }
    .survey .progress div{
        background: #5F5F5F;
    }
    .survey .incorrect .progress{
        background: #FF000033;
    }
    .survey .incorrect .progress div{
        background: #FF0000;
    }
    .survey .correct .progress{
        background: #03AA6433;
    }
    .survey .correct .progress div{
        background: #03AA64;
    }
    .survey .btn_cont{
        padding: 10px 0 10px 0;
        text-align: center;
    }
    .survey .btn_cont .btn{
        font-size: 16px;
        min-width: 140px;
        padding-left: 15px;
        padding-right: 15px;
    }
    .survey .text-after-slide{
        padding: 20px 0 0 0;
    }
    .survey .media.empty{
        height: 140px;
    }
    .survey .text-after-slide p{
        font-size: 16px;
        line-height: 25px;
    }
    #survey_4 .media.empty{
        height: 150px;
    }
}
